<h1 align="center">
<img src="https://raw.githubusercontent.com/karlbernaldez/adolib/main/assets/adolib.png" width="300">
</h1><br>


<p align="center">
  <a href="https://your-site.com">
    <img src="https://img.shields.io/badge/powered%20by-Adovelopers-orange.svg?style=flat&colorA=E1523D&colorB=007D8A" alt="Powered by Adolib">
  </a>
  <a href="https://stackoverflow.com/questions/tagged/adolib">
    <img src="https://img.shields.io/badge/stackoverflow-Ask%20questions-blue.svg" alt="Stack Overflow">
  </a>
  <a href="https://pypi.org/project/adolib/">
    <img src="https://img.shields.io/pypi/v/adolib.svg" alt="PyPI version">
  </a>
  <a href="https://raw.githubusercontent.com/karlbernaldez/adolib/main/LICENSE">
    <img src="https://img.shields.io/pypi/l/adolib.svg" alt="License">
  </a>
</p>


AdoLib is a beginner-friendly Python utilities library

- **Website:** https://adovelopers.com/libraries/adolib
- **Documentation:** https://adovelopers.com/libraries/adolib/docs
- **Source code:** https://github.com/adovelopers/adolib
  

# AdoLib

**AdoLib** is a collection of small but helpful tools designed to make life easier for new Python developers. Whether you're just learning the language or building your first projects, AdoLib gives you lightweight, no-nonsense utilities like easy logging, formatting, and more — all in a beginner-friendly way.

---

## 🚀 Features

- ✅ **Simple Logger**: Color-coded console output with optional timestamps.
- 🔧 **Modular Structure**: Organized by feature (e.g., `adolib.logger`, `adolib.formatter`, etc.).
- 🧩 **Pluggable Utilities**: Add your own tools and utilities easily.
- 🐍 **Beginner-Centric**: Clean API design and easy-to-read source code.

---

## 📦 Installation

You can install AdoLib from PyPI:

```bash
pip install adolib
```

---

## 📘 Usage Example

```python
from adolib.logger import SimpleLogger

log = SimpleLogger()

log.info("Everything is running smoothly.")
log.warning("This might be a problem.")
log.error("Something went wrong.")
```

---

## 🔧 Contributing

Want to add your own utilities? Just fork the repo, add a new module under `adolib/`, and submit a pull request! We welcome beginner-friendly contributions and clear code.

---

## 📄 License

This project is licensed under the MIT License. See `LICENSE` for more information.

---

## ✨ Future Plans

- File and path utilities  
- Easy JSON/YAML handlers  
- CLI helper module  
- Decorators and timing tools  
- Educational examples in docs

---

> Built with ❤️ by Adovelopers
